/ Releases

Ghost 0.11.3

Ghost 0.11.3 is now available on GitHub, npm and Ghost.org. The main contents are the addition of Node v6 LTS support, and the removal of Node v0.10 support. There is also a fix for scheduling & some fixes for Casper.

Highlights

  • [New] Node v6 LTS support - Ghost now officially works with Node ^6.9.0 ⬆️
  • [Removed] Node v0.10.x support - Node v0.10 is no longer maintained ⬇️
  • [Fixed] Issue where not all posts would be rescheduled after a restart ⏱
  • [Fixed] Several minor issues with the Casper theme 🎨
  • And a few dependency updates

You can see the full change log for the details of all changes included in this release.

In Detail

As of Ghost 0.11.3, Ghost supports the Node.js v6 LTS stream and no longer supports Node.js v0.10. Node.js v6 became LTS on the 18th October, and Node.js v0.10 is no longer maintained as of 31st October. We will continue to recommend using Node v4 for the time being - note this is also the version recommended for most users by Node.js.

Our Node version support follows the Node.js LTS strategy. Full details can always be found at: http://support.ghost.org/supported-node-versions/.

How to Upgrade

All Ghost(Pro) users are being automatically updated and will be running Ghost 0.11.3 shortly. You're welcome :)

For people running Ghost on their own servers, you can download Ghost 0.11.3 and then check out the upgrade documentation over on our support site.

Enjoy!

Credits

This release was lovingly crafted by Hannah Wolfe and Katharina Irrgang 🙆🏻 🙋🏻

Hannah Wolfe

Hannah Wolfe

Hannah is the co-founder and lead developer at Ghost. She spends her days looking after Ghost's developer community, tracking down bugs and ensuring the hosted service is a happy place.

Read More